import java.io.File;

/**
 * Listener that is notified when either the Maven project.xml file has changed or the
 * IntelliJ module file has changed.
 *
 * @author Jeff Sabin
 */
public interface IFileChangedListener
{

    /**
     * Called when the Maven project file has changed.
     */
    void mavenProjectChanged();

    /**
     * Called when the Maven project file has been created.
     */
    void mavenProjectCreated(File mavenProjectFile);

    /**
     * Called when the IntelliJ module file has changed.
     */
    void intelliJModuleChanged();

}
