package intellijmaven.core;

import org.jdom.JDOMException;

import java.io.IOException;
import java.util.List;

/**
 * @author Jeff Sabin
 */
public interface IMavenProject
{
    /**
     * Returns a list of all dependencies.
     *
     * @return list of {@link intellijmaven.core.Dependency}
     */
    List getDependencies();

    /**
     * Adds the dependency to the list of all dependencies. If it already exist it is not added
     * again.
     */
    void addDependency(Dependency dependency);

    void removeAllDependencies();

    /**
     * Saves changes to disk.
     */
    void save() throws IOException, JDOMException;
}
